package com.xzzn.ems.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import org.springframework.web.multipart.MultipartFile;

/**
 * 上传设备点位清单请求参数
 */
public class ImportPointDataRequest {

    /** 站点id */
    @NotBlank(message = "站点ID不能为空")
    private String siteId;
    /** 设备id */
    @NotBlank(message = "设备ID不能为空")
    private String deviceId;
    /** 设备类型 */
    @NotBlank(message = "设备类型不能为空")
    private String deviceCategory;
    /** 上传点位清单文件 */
    @NotNull(message = "点位清单文件不能为空")
    private MultipartFile file;

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceCategory() {
        return deviceCategory;
    }

    public void setDeviceCategory(String deviceCategory) {
        this.deviceCategory = deviceCategory;
    }

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }
}
